CVE-2009-0356
openSUSE 11.0,openSUSE 11.1
CVE-2009-0356, security advisory, novell, suse linux, suse, security, cve

CVE-2009-0356

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2009-0356 at MITRE

Description

Mozilla Firefox before 3.0.6 and SeaMonkey do not block links to the (1) about:plugins and (2) about:config URIs from .desktop files, which allows user-assisted remote attackers to bypass the Same Origin Policy and execute arbitrary code with chrome privileges via vectors involving the URL field in a Desktop Entry section of a .desktop file, related to representation of about: URIs as jar:file:// URIs. NOTE: this issue exists because of an incomplete fix for CVE-2008-4582.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 470074 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
openSUSE 11.0
  • MozillaFirefox-debuginfo >= 3.0.6-0.1
  • MozillaFirefox-debugsource >= 3.0.6-0.1
  • mozilla-xulrunner190-debuginfo >= 1.9.0.6-0.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.6-0.1
openSUSE 11.0
  • MozillaFirefox >= 3.0.6-0.1
  • MozillaFirefox-translations >= 3.0.6-0.1
  • mozilla-xulrunner190 >= 1.9.0.6-0.1
  • mozilla-xulrunner190-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-64bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-devel >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs-64bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations-64bit >= 1.9.0.6-0.1
openSUSE 11.1
  • MozillaFirefox-debuginfo >= 3.0.6-0.1.2
  • MozillaFirefox-debugsource >= 3.0.6-0.1.2
  • mozilla-xulrunner190-debuginfo >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.6-0.1.1
openSUSE 11.1
  • MozillaFirefox >= 3.0.6-0.1.2
  • MozillaFirefox-branding-upstream >= 3.0.6-0.1.2
  • MozillaFirefox-translations >= 3.0.6-0.1.2
  • mozilla-xulrunner190 >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-devel >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.6-0.1.1
  • python-xpcom190 >= 1.9.0.6-0.1.1